aboutsummaryrefslogtreecommitdiff
path: root/bin/9a
diff options
context:
space:
mode:
Diffstat (limited to 'bin/9a')
-rwxr-xr-xbin/9a9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/9a b/bin/9a
new file mode 100755
index 00000000..f2984ffb
--- /dev/null
+++ b/bin/9a
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ $# != 1 ]; then
+ echo 'usage: 9a file.s' 1>&2
+ exit 1
+fi
+
+out=`echo $1 | sed 's/\.s$//;s/$/.o/'`
+exec as -o $out $1